# BRC-20s by Tickers

This endpoint is used to retrieve the metadata & market data associated with a batch of up to 100 BRC-20 tickers in a single request.

## POST /v1/brc20/batch/tickers

> Get information for multiple BRC-20 tokens in batch (max 100 tickers per request).

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/brc20/batch/tickers":{"post":{"tags":["BRC20"],"description":"Get information for multiple BRC-20 tokens in batch (max 100 tickers per request).","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tickers":{"minItems":1,"maxItems":100,"description":"Array of ticker symbols to fetch (max 100)","type":"array","items":{"type":"string"}}},"required":["tickers"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"ticker":{"type":"string"},"maxSupply":{"type":"string"},"mintLimit":{"type":"string"},"decimals":{"type":"number"},"txid":{"type":"string"},"inscriptionId":{"type":"string"},"blockHeight":{"type":"string"},"isSelfMint":{"type":"boolean"},"prices":{"type":"object","properties":{"floorPrice":{"type":"object","properties":{"marketplace":{"type":"string"},"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"},"percentageChange24h":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["percentageChange24h"]},"lastSalePrice":{"type":"object","properties":{"marketplace":{"type":"string"},"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["floorPrice","lastSalePrice"]},"volume24h":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"},"percentageChange":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["percentageChange"]}},"required":["ticker","maxSupply","decimals","txid","inscriptionId","blockHeight","isSelfMint","prices","volume24h"]}}},"required":["items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/brc-20/brc-20s-by-tickers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
